Subject: [Xml-sg-cmt] adding a type to the source code list: Fwd: AUTH48 [RE]: RFC 9092 <draft-ietf-opsawg-finding-geofeeds-17.txt> NOW AVAILABLE

From: Sandy Ginoza <[email-masked]>
Date: Fri, 16 Jul 2021 12:36:13 -0700

Hi all,

Any concerns with adding “rpsl” to the list of <sourcecode> types, as requested by Warren Kumari (see details below)?  The current list is here: https://www.rfc-editor.org/materials/sourcecode-types.txt

The related files are available here: 

   https://www.rfc-editor.org/authors/rfc9092.txt
   https://www.rfc-editor.org/authors/rfc9092.pdf
   https://www.rfc-editor.org/authors/rfc9092.html
   https://www.rfc-editor.org/authors/rfc9092.xml

Thanks,
Sandy 

>> Begin forwarded message:
>> 
>> From: Warren Kumari <[email-masked] <mailto:[email-masked]>>
>> Subject: Re: AUTH48 [RE]: RFC 9092 <draft-ietf-opsawg-finding-geofeeds-17.txt> NOW AVAILABLE
>> Date: July 11, 2021 at 4:13:38 PM PDT
>> To: RFC System <[email-masked] <mailto:[email-masked]>>
>> Cc: Russ Housley <[email-masked] <mailto:[email-masked]>>, Randy Bush <[email-masked] <mailto:[email-masked]>>, OpsAWG-Chairs <[email-masked] <mailto:[email-masked]>>, George Michaelson <[email-masked] <mailto:[email-masked]>>, [email-masked] <mailto:[email-masked]>, Massimo <[email-masked] <mailto:[email-masked]>>
>> 
>> 

[snip]

>>> 4) <!-- [rfced] Please review whether the "type" attribute should be set for sourcecode elements in the XML file. If the current list of preferred
>>> values for "type"
>>> (https://www.rfc-editor.org/materials/sourcecode-types.txt <https://www.rfc-editor.org/materials/sourcecode-types.txt>) does not
>>> contain an applicable type, then feel free to suggest a new one.
>>> Also, it is acceptable to leave the "type" attribute not set.
>>> -->
>> 
>> Option 1: Add a new type to denote RPSL (RFC2622) text, called "rpsl"
>> Option 2: leave the "type" attribute unset.
>> 
>> If the only work needed to define a new type is to add the string
>> "rpsl" to https://www.rfc-editor.org/materials/sourcecode-types.txt <https://www.rfc-editor.org/materials/sourcecode-types.txt>
>> then I think Option 1 is worth doing (Section 2.48.4 of RFC 7991 was
>> not hugely clear to me), otherwise I'm fine with Option 2.
>> 
>>

---

From: "John R Levine" <[email-masked]>
Date: 16 Jul 2021 17:57:35 -0400

> Any concerns with adding “rpsl” to the list of <sourcecode> types, as requested by Warren Kumari (see details below)?  The current list is here: https://www.rfc-editor.org/materials/sourcecode-type…

It's fine, it's a language with a spec.

>>> not hugely clear to me), otherwise I'm fine with Option 2.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly